Groovy 1.7.10

## org.codehaus.groovy.tools.groovydoc
[Java] Class LinkArgument

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.LinkArgument

    public class LinkArgument
    extends Object

Represents a link pair (href, packages). The packages are comma separated.

Method Summary
`String` | `getHref()` Get the href attribute.
`String` | `getPackages()` Get the packages attribute.
`void` | `setHref(String hr)` Set the href attribute.
`void` | `setPackages(String packages)` Set the packages attribute.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getHref

    public String getHref()

  Get the href attribute.
  Returns:
    the href attribute.

### getPackages

    public String getPackages()

  Get the packages attribute.
  Returns:
    the packages attribute.

### setHref

    public void setHref(String hr)

  Set the href attribute.
  Parameters:
    `hr` - a `String` value representing the URL to use for this link

### setPackages

    public void setPackages(String packages)

  Set the packages attribute.
  Parameters:
    `packages` - the comma separated package prefixs corresponding to this link

Copyright © 2003-2010 The Codehaus. All rights reserved.